@import "bulma/bulma.sass";
@import "colors.scss";
@import "typography.scss";

body {
  margin: 0;
  padding: 0;
  font-family: "Work Sans", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: $primary;
  font-size: 16px;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

.input {
  box-shadow: none;
  border: none;
  font-family: "Work Sans", sans-serif;
}

input,
.input {
  border: none;
  border-bottom: 1px solid $border;
  color: $light-text;
  font-size: 1.125rem;
  font-weight: 100;
  padding: 0;
  outline: none;
  border-radius: 0;
  background: none;
}

.input:focus {
  border-bottom: 1px solid $border;
  box-shadow: none;
}

.button {
  font-family: "Work Sans", sans-serif;
  font-weight: 700;
  background: $link;
  color: white;
  border: none;
  outline: none;

  &:hover {
    color: white;
    background: darken($link, 6%);
  }

  &:focus:not(:active),
  &.is-focused:not(:active) {
    box-shadow: none;
  }

  &.is-link {
    background-color: $link;
  }

  &.is-light {
    background: none;
    color: $light-text;

    &:hover {
      background: none;
      color: darken($light-text, 10%);
    }
  }

  .material-icons {
    color: $light-purple;
  }

  &.is-small {
    border-radius: 4px;
  }
}

a {
  color: $link;

  &:hover {
    color: darken($link, 10%);
  }
}

input {
  font-family: "Work Sans", sans-serif;
}

/* Modal */

h1.modal-card-title {
  color: $primary;
  font-size: 1.5rem;
  font-weight: 300;
  margin: 0;
  padding: 0;
  text-align: left;
}

.modal-card-head,
.modal-card-foot {
  background: $border;
  border-color: darken($border, 6%);
}

.modal-card-foot {
  justify-content: flex-end;
}

.help {
  text-align: left;
}
